#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - dbus-1-tools preinstallation
#
# Creation   :  2022-09-08 holbru
# Last update:  $Id: preinstall.sh 97144 2022-09-08 16:53:37Z hbfl $
#
# Copyright (c) 2022-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=dbus-1-tools

# ---------------------------------------------------------------------------
# update
# ---------------------------------------------------------------------------
bin_installed=$(eisman check dbus-1 3.2.4)

if [ "${bin_installed}" = "new" ]
then
    if [ -f /etc/filelist.d/dbus-1-files.txt ]
    then
        sed -i '/dbus-monitor/d' /etc/filelist.d/dbus-1-files.txt
        sed -i '/dbus-send/d' /etc/filelist.d/dbus-1-files.txt
        sed -i '/dbus-update-activation-environment/d' /etc/filelist.d/dbus-1-files.txt
        sed -i '/dbus-uuidgen/d' /etc/filelist.d/dbus-1-files.txt
    fi
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
